#!/usr/bin/env python3
# vim: expandtab:ts=4:sw=4:noai

""" Setup Argpass """

import setuptools
from pcs_argpass.Param import Version

with open("pcs_argpass/README.md", "r", encoding='utf-8') as fh:
    long_description = fh.read()

setuptools.setup(
    name="pcs_argpass",
    # version="0.10.9",
    version=Version,
    python_requires='>=3.6',
    author="Rainer Pietsch",
    author_email="r.pietsch@pcs-at.com",
    description="Argument parser and checker.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://argpass.readthedocs.io/en/latest/index.html",
#    url="https://github.com/rpietsch1953/pcs-prgpass",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
	"License :: OSI Approved :: GNU General Public License v2 (GPLv2)",
        "Operating System :: OS Independent",
    ],
)
